### Method

# GtkVnc Display set_read_only

#### Declaration [src]

    void
    vnc_display_set_read_only (
      VncDisplay* obj,
      gboolean enable
    )

#### Description [src]

Set whether the widget is running in read-only mode. In read-only mode, keyboard and mouse events will not be sent to the remote desktop server. The widget will merely display activity from the server.

Sets property | `GtkVnc.Display:read-only`

#### Parameters

`enable`

  Type: `gboolean`

  TRUE to enable read-only mode, FALSE otherwise.